﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json.Linq;

namespace NonaBGS.Journal {
    public class FSDJumpEntry : Entry {
        private string starsystem = null;
        private string systemfaction = null;
        protected override void Initialise() {
            starsystem = JSON.Value<string>("StarSystem");
            var faction = JSON.Value<JObject>("SystemFaction");
            if (faction != null) {
                systemfaction = faction.Value<string>("Name");
            }
        }
        public string StarSystem => starsystem;

        public string SystemFaction => systemfaction;
    }
}
